﻿<%@ Page language="c#" Codebehind="PageElektro.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageElektro" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Nákup elektrické energie  <img src="images/energie.png" alt="Elektrická energie" height="35" width="35" align="top"/></h1> 

<fieldset class="zadani">
	<legend>Nákup elektrické energie:</legend>
	
	<asp:PlaceHolder ID="ph_err" Runat="server" Visible=False>
		<br/>
		<img src="images/err.jpg" alt="chyba:"> 
		<br/><br/>
	</asp:PlaceHolder>
	
	
	<table>
		<tr>	
			<td width="120px">
				<label>Tarif:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_tarif" Runat="server" OnSelectedIndexChanged="cb_tarif__Changed" AutoPostBack=True/> 
				<asp:PlaceHolder ID="ph_tarifWarning" Runat="server" Visible="False">
				<div class=warning>!Tarif není použitelný!</div>
				</asp:PlaceHolder>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Jistič:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_jistic" Runat="server"/> 
				<asp:PlaceHolder ID="ph_jisticWarning" Runat="server" Visible="False">
				<div class=warning>Jistič není použitelný!</div>
				</asp:PlaceHolder>
				<asp:PlaceHolder ID="ph_jisticNo" Runat="server" Visible="False">
				<div class=warning>Tento tarif nelze použít, vzhledem k neexistujícímu dostatečnému jističi. Vyberte jiný tarif!</div>
				</asp:PlaceHolder>
			</td>
		</tr>
		
		<tr>
			<td colspan="2" style="color:red"><strong><asp:Literal id="l_error" runat="server"/></strong></td>
		</tr>
		
	</table>
	
	<br/>
	<asp:Button ID="btn_zrus" Runat=server Text="Zrušit" OnClick="btn_zrus__Click"/>
	<asp:Button ID="btn_pouzij" Runat=server Text="Použij" OnClick="btn_pouzij__Click"/>
	<asp:Button ID="btn_pouzijPokracuj" Runat=server Text="Použij a pokračuj" OnClick="btn_pouzijPokracuj__Click"/>
</fieldset>
<br/>
<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
		
	</tr>		
	<tr>
		<td>Tarif:</td>
		<td><asp:Literal ID="l_tarif" runat="server" /> </td>
	</tr>
	<tr>
		<td>Jistič:</td>
		<td><asp:Literal ID="l_jistic" runat="server" /> </td>
	</tr>
	<tr>
		<td>Příkon:</td>
		<td><asp:Literal ID="l_prikon" runat="server" /></td>
	</tr>
	<tr>
		<td>Paušál:</td>
		<td><asp:Literal ID="l_pausal" runat="server" /></td>
	</tr>
	<tr>
		<td>Počet hodin v nízkém tarifu:</td>
		<td><asp:Literal ID="l_hodinNT" runat="server" /></td>
	</tr>
		
</table>

<table width="80%">
	<tr>
		<th>&nbsp;</th>
		<th>Sazba:</th>
		<th>Spotřeba:</th>
		<th>Cena:</th>
	</tr>
	<tr>
		<th>Nízký tarif léto:</th>
		<td><asp:Literal ID="l_snl" Runat="server"/></td>
		<td><asp:Literal ID="l_spnl" Runat="server"/></td>
		<td><asp:Literal ID="l_cnl" Runat="server"/></td>
	</tr>
	<tr>
		<th>Nízký tarif zima:</th>
		<td><asp:Literal ID="l_snz" Runat="server"/></td>
		<td><asp:Literal ID="l_spnz" Runat="server"/></td>
		<td><asp:Literal ID="l_cnz" Runat="server"/></td>
	</tr>
	<tr>
		<th>Vysoký tarif léto:</th>
		<td><asp:Literal ID="l_svl" Runat="server"/></td>
		<td><asp:Literal ID="l_spvl" Runat="server"/></td>
		<td><asp:Literal ID="l_cvl" Runat="server"/></td>
	</tr>
	<tr>
		<th>Vysoký tarif zima:</th>
		<td><asp:Literal ID="l_svz" Runat="server"/></td>
		<td><asp:Literal ID="l_spvz" Runat="server"/></td>
		<td><asp:Literal ID="l_cvz" Runat="server"/></td>
	</tr>
	
	<tr>
		<td colspan="4">
			Celková potřeba [kWh/rok]: <strong><asp:Literal id="l_tuvPotreba0" runat="server"/></strong>
		</td>		
	</tr>
	<tr>
		<td colspan="4">
			Roční cena elektrické energie: <strong><asp:Literal ID="l_cenaRok" Runat="server"/></strong>
		</td>
	</tr>
	
</table>

</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Nákup elektrické energie </legend>
	<p>V tomto dialogu je na základě zjištěných potřeb elektrické energie nabídnuta potřebná velikost hlavního jističe a povolené sazby pro odběr. Hodnota hlavního jističe zohledňuje v případě elektrického vytápění potřebný příkon kotle, dále je zohledněn příkon potřebný pro přípravu TUV, provoz kuchyňských elektrospotřebičů a ostatních běžných domácích spotřebičů.</p>
	<p>Po stisku tlačítka „Použít“ se přepočítají celkové náklady na nákup elektrické energie, což umožňuje najít nejlevnější možnost.</p>

	
</fieldset>

<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
