﻿<%@ Page language="c#" Codebehind="PageKonstrukce.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageKonstrukce" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Konstrukce <asp:Literal ID="l_kalkulatorNadpis" Runat="server"/></h1> 

<h2><asp:Literal ID="l_podnadpis" Runat="server"/></h2>

<fieldset class="zadani">
	<legend>Zadejte konstrukci:</legend>
	<br/>

	<asp:PlaceHolder ID="ph_error" Runat="server" Visible=False>
		<br/>	
		<img src="images/err.jpg" alt="chyba:"/> Zadejte vrstvy konstrukce 
		<br/><br/><br/>
	</asp:PlaceHolder>
	
	<table>
		<tr>	
			<td width="80px">
				<label>Název:</label>
			</td>
			<td>
				<asp:TextBox ID="e_nazev" Runat="server"/>
			</td>
		</tr>
		<asp:PlaceHolder ID="ph_sousediciProstredi" Runat=server>
			<tr>	
				<td width="80px">
					<label>Sousedící prostředí:</label>
				</td>
				<td>
					<asp:DropDownList ID="cb_prostredi" Runat="server"/>
				</td>
			</tr>
			<tr>	
				<td width="80px">
					<label>Plocha:</label>
				</td>
				<td>
					<asp:TextBox ID="e_plocha" Runat="server"/> m<sup>2</sup>
				</td>
			</tr>
			<asp:PlaceHolder id="ph_cena" runat="server" visible=false>
			<tr>
				<td width="80px">
					<label>Cena: [Kč/m<sup>2</sup>]</label>
				</td>
				<td>
					<asp:TextBox ID="e_cena" Runat="server" Text="0" Visibla=false/>
				</td>				
			</tr>
			</asp:PlaceHolder>
		
		</asp:PlaceHolder>
		
		<asp:PlaceHolder ID="ph_rozmery" Visible=False Runat="server">
			<tr>	
				<td width="200px">
					<label>h1 - výška celé zdi [m]:</label>
				</td>
				<td>
					<asp:TextBox ID="e_h1" Runat="server"/>
				</td>
			</tr>
			<tr>	
				<td width="200px">
					<label>h2 - výška zdi pod terénem [m]:</label>
				</td>
				<td>
					<asp:TextBox ID="e_h2" Runat="server"/>
				</td>
			</tr>
			<tr>	
				<td width="200px">
					<label>Délka [m]:</label>
				</td>
				<td>
					<asp:TextBox ID="e_delka" Runat="server"/>
				</td>
			</tr>		
		</asp:PlaceHolder>
		
	</table>
	
	<br/>
	<h3>Vrstvy konstrukce:</h3>
	
		<asp:DataGrid 
		id="dg_material"	
		AutoGenerateColumns=False
		OnCancelCommand = "dg_Cancel" 
		OnUpdateCommand = "dg_Update"
		OnEditCommand = "dg_Edit"
		OnItemDataBound = "dg_DataBound"
		OnItemCommand="grid_Command"

		runat=server
		BorderWidth="1px"
		BorderColor="#CCCCCC"
		>
		<Columns>
			<asp:TemplateColumn HeaderText="materiál">
				<HeaderStyle Width="300px"/>
				<ItemTemplate>
					<asp:Label id="l_material" Runat=server/>
				</ItemTemplate>
				<EditItemTemplate>
					<asp:DropDownList id="cb_material" DataSource="<%# BindState() %>" DataTextField="Val" DataValueField="ID" Runat="server"/>
				</EditItemTemplate>
			</asp:TemplateColumn>	
			<asp:TemplateColumn HeaderText="tloušťka [cm]">
				<HeaderStyle Width="100px"/>
				<ItemTemplate>													
					<asp:Label id="l_tloustka" Runat=server Width="50px"/>
				</ItemTemplate>
				<EditItemTemplate>
					<asp:TextBox id="e_tloustka" Runat=server Width="50px"/>		
				</EditItemTemplate>
			</asp:TemplateColumn>
			<asp:EditCommandColumn EditText="Uprav" CancelText="Zrušit" UpdateText="Použij a pokračuj">
				<HeaderStyle Width="100px"></HeaderStyle>
			</asp:EditCommandColumn>
			<asp:ButtonColumn Text="Smaž" CommandName="Delete">
				<HeaderStyle Width="100px"></HeaderStyle>
			</asp:ButtonColumn>
		</Columns>
		</asp:DataGrid>	
		
		<table >
	
			<tr>			
				<td width="300px"><asp:DropDownList id="cb_material" runat="server"/></td>
				<td width="100px"><asp:TextBox id="e_tloustka" RunAt="server" width="50px"/></td>
				<td><asp:Button id="btnNovaVrstva" OnClick="btnNovaVrstva_Click" Runat="server" Text="Přidat"/><br/></td>
			</tr>
		<tr>			
			<td colspan="3"><img src="images/i.jpg" alt="info:"/> zadejte materiál vrstvy a tloušťku vrstvy v cm</td>
		</tr>
		
	</table>
	

	
	<br/>
	<!--butony-->
	<asp:Button ID="btn_zrus" Runat="server" OnClick="btn_zrus__Clicked" Text="Zrušit"/>
	<asp:Button ID="btn_uloz" Runat="server" OnClick="btn_uloz__Clicked" Text="Použij a pokračuj"/>
</fieldset>

<br/><br/><div class="warning"><asp:Literal ID="lError" Runat="server" Visible="false"/><br/><br/></div>

<mycode:footer Id="zapati" RunAt="server"/>
</form>


<%if(false) { %>
	
  </body>
</html>
<%}%>
