﻿<%@ Page language="c#" Codebehind="PageSpotrebicPrehled.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageSpotrebicSeznam" %>
<%@ Register TagPrefix="ignav" Namespace="Infragistics.WebUI.UltraWebNavigator" Assembly="Infragistics.WebUI.UltraWebNavigator.v2" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Přehled domácích spotřebičů  <img src="images/spotrebice.png" alt="Spotřebiče" height="35" width="35" align="top"/></h1> 
<fieldset class="zadani">
	<legend>Přehled:</legend>
	<br/>
	<ignav:UltraWebTree 
	id="tree_spotrebice" 
	runat="server" 
	HiliteClass="HiliteClass" 
	Indentation="20" 
	ExpandImage="ig_treePlus.gif" 
	CollapseImage="ig_treeMinus.gif" 
	DisabledClass="DisabledClass" 
	JavaScriptFilename="tree/ig_scripts/ig_webtree2.js" 
	ImageDirectory="tree/ig_Images/" 
	WebTreeTarget="ClassicTree" 
	BrowserTarget="UpLevel" 
	Cursor="hand"
	DefaultImage="ig_treeFolder.gif"
	DefaultSelectedImage="ig_treeFolderOpen.gif"
	>
	
	
		<NodeMargins Bottom="3px" Top="3px" Left="5px" Right="3px"></NodeMargins>
		<Styles>
			<ignav:Style Cursor="hand" ForeColor="White" BackColor="DarkBlue" CssClass="HiliteClass"></ignav:Style>
			<ignav:Style ForeColor="LightGray" CssClass="DisabledClass"></ignav:Style>
		</Styles>
		<Nodes>
			<ignav:Node Text="Domácí spotřebiče"></ignav:Node>
		</Nodes>
		<Levels>
			<ignav:Level Index="0"></ignav:Level>
		</Levels>
	</ignav:UltraWebTree>
<br/><br/>

<img src="images/i.jpg" alt="info:"/> Pro přidání spotřebiče klikněte na název příslušného spotřebiče<br/>

<br/>

<asp:Button id="btn_edituj" runat="server" Text="Edituj" Enabled="false" onClick="btn_edituj__Clicked"/>
<asp:Button id="btn_smaz" runat="server" Text="Smaž" Enabled="false" onClick="btn_smaz__Clicked"/>
<asp:Button id="btn_pokracuj" runat="server" Text="Použij a pokračuj" onClick="btn_pokracuj__Clicked"/>

	
</fieldset>

<br/>

<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
	<tr>

	<tr>
		<td>
			Celková spotřeba el. spotřebičů [kWh / rok]
		</td>
		<td align="right">
			<asp:Literal id="l_spotrEl" runat="server"/>
		</td>
		
	<tr>
	<tr>
		<td>
			Celková spotřeba plyn. spotřebičů [kWh / rok]
		</td>
		<td align="right">
			<asp:Literal id="l_spotrPlyn" runat="server"/>
		</td>
		
	<tr>
	
	
	
</table>
</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Spotřebiče</legend>
	<p>Jednotlivé spotřebiče se zadávají podle příkonu a časového využití (osvětlení) nebo podle energetické třídy a počtu cyklů (pračky, myčky) nebo podle typu a energetické třídy (lednice, mrazáky). Typ lednice je zadán podle rozměrů chladicí/mrazicí části, přičemž v nabídce jsou obsaženy nejčastější typy. Neodpovídá-li vaše lednice nabídce, zadejte nebližší podobnou. </p>
	<p>Dále lze zadat další drobné spotřebiče. </p>
	<p>Potřeba energie pro vaření (sporák) je odvozena z počtu osob a je přiřazena buď ke spotřebě elektřiny nebo plynu.</p>

</fieldset>

<asp:Literal ID="lTest" Runat=server />


<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
