﻿<%@ Page language="c#" Codebehind="PageVetrani.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageVetrani" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Tepelné ztráty větráním  <img src="images/vetrani.png" alt="Větrání" height="35" width="35" align="top"/></h1> 

<fieldset class="zadani">
	<legend>Tepelné ztráty větráním:</legend>
	
	<asp:PlaceHolder ID="ph_err" Runat="server" Visible=False>
		<br/>
		<div class="warning"><img src="images/err.jpg" alt="chyba:"> Objem budovy musí být zadán</div>
		<br/><br/>
	</asp:PlaceHolder>
	
	<asp:PlaceHolder ID="ph_err2" Runat="server" Visible=False>
		<br/>
		<div class="warning"><img src="images/err.jpg" alt="chyba:"> Zadal jste zápornou nebo nulovou frekvenci výměny vzduchu. Toto číslo musí být kladné!</div>
		<br/><br/>
	</asp:PlaceHolder>
	
	<asp:PlaceHolder ID="ph_err4" Runat="server" Visible=False>
		<br/>
		<img src="images/err.jpg" alt="chyba:"> <div class="warning"><asp:Literal id="l_error" RunAt="server" /></div>
		<br/><br/>
	</asp:PlaceHolder>

	
	<table>
		<tr>	
			<td width="120px">
				<label>Větrání:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_vetrani" Runat="server" OnSelectedIndexChanged="cb_vetrani__Changed" AutoPostBack=True/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Frekvence výměny vzduchu:</label>
			</td>
			<td>
				<asp:TextBox ID="e_frekvenceVymenyVzduchu" Runat="server"/> h<sup>-1</sup>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Objem vytápěné části budovy:</label>
			</td>
			<td>
				<asp:TextBox ID="e_objem" Runat="server" Width="50px"/>	m<sup>3</sup>
			</td>
		</tr>
		<tr>	
			<th colspan="2">
				Rekuperace tepla
			</th>
		</tr>
		<tr>	
			<td colspan="2">
				<asp:CheckBox ID="ch_rekuperace" Runat="server" OnCheckedChanged="ch_rekuperace__Changed" AutoPostBack="True" /> je použito rekuperační zařízení
			</td>
		</tr>
		<asp:PlaceHolder ID="ph_rekuperace" Runat="server" Visible="false">
			<tr>
				<td>
					<label>Účinnost rekuperačního zařízení</label>
				</td>
				<td>
					<asp:TextBox ID="e_rekuperator_ucinnost" Runat="server" Width="50px"/> %
				</td>
			</tr>
			<tr>
				<td>
					<label>Elektrický příkon</label>
				</td>
				<td>
					<asp:TextBox ID="e_rekuperator_prikon" Runat="server" Width="50px"/> W
				</td>
			</tr>
			<tr>
				<td>
					<label>Procento využití během roku</label>
				</td>
				<td>
					<asp:TextBox ID="e_rekuperator_procento" Runat="server" Width="50px"/> %
				</td>
			</tr>
			
		</asp:PlaceHolder>
		
	</table>
	
	<br/>
	<asp:Button ID="btn_zrus" Runat=server Text="Zrušit" OnClick="btn_zrus__Click"/>
	<asp:Button ID="btn_pouzij" Runat=server Text="Použij" OnClick="btn_pouzij__Click"/>
	<asp:Button ID="btn_opatreni" Runat=server Text="Opatření" OnClick="btn_opatreni__Click" Visible="false"/>
	<asp:Button ID="btn_pouzijPokracuj" Runat=server Text="Použij a pokračuj" OnClick="btn_pouzijPokracuj__Click"/>
</fieldset>
<br/>
<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
	</tr>

	<tr>
		<td>
			Tepelná ztráta větráním:
		</td>
		<td align="right">
			<asp:Literal id="l_ztrataTeplaVetranim" runat="server"/> 
		</td>
		<td>kW</td>
		
	</tr>
	<tr>
		<td>
			Spotřeba rekuperátoru :
		</td>
		<td align="right">
			<asp:Literal id="l_rekuperatorSpotreba"   runat="server"/> 
		</td>
		<td>kWh / rok</td>
		
	</tr>
	<tr>
		<td>
			Provoz rekuperátoru :
		</td>
		<td align="right">
			<asp:Literal id="l_rekuperatorProvoz"	   runat="server"/> 
		</td>
		<td>kč</td>
		
	<tr>
	
	
</table>
</div>
<br/>
	<asp:PlaceHolder ID="ph_err3" Runat="server" Visible=False>
		<br/>
		<div class="warning"><img src="images/err.jpg" alt="chyba:"> Momentálně není zvolen <a href="PageElektro.aspx">tarif el. energie</a>. Po jeho vybrání budou tyto položky spočítány správně.</div>
		<br/><br/>
	</asp:PlaceHolder>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Větrání budovy</legend>
	<p>Frekvence výměny vzduchu znamená, kolikrát za hodinu se vymění vzduch v místnosti s okolním prostředím. </p>
	<p>Příklad: Pokud je objem místnosti 30 m<sup>3</sup> a za hodinu se vymění 15 m<sup>3</sup>, pak je frekvence výměny vzduchu 15 / 30 = 0,5 h-1.</p>
	<p>Předdefinované hodnoty jsou 0,5 h-1 (návrhová, hygienicky nutná výměna vzduchu) a 0,3-1 (tato hodnota je možná u staveb s utěsněnými okny, jejichž obyvatelé téměř nevětrají). číselnou hodnotu je možno měnit, protože u netěsných budov může být frekvence výměny vzduchu 0,8 – 1,0 h-1, i vyšší. </p>
	<p>Z frekvence výměny vzduchu a objemu vzduchu se vypočítá tepelná ztráta infiltrací. Objem vzduchu je stanoven jako 0,8 x objem vytápěné části budovy (typická hodnota po odečtení objemu vnitřních konstrukcí a zařízení). </p>
	<p>Pokud je instalováno zařízení pro rekuperaci (zpětné získávání) tepla z odpadního vzduchu, zadává se jeho účinnost (typicky 70%) a elektrický příkon. Dále se zadává procento ročního využití (podle toho, zda je zařízení v chodu pouze v zimě nebo zda je použito celoročně pro větrání). O účinnost rekuperace je snížena tepelná ztráta infiltrací, ostatní hodnoty vstupují do spotřeby elektrické energie. V některých případech se totiž může stát, že náklady na pohon větracího a rekuperačního zařízení mohou převýšit úsporu nákladů na vytápění. </p>
</fieldset>

<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
