﻿<%@ Page language="c#" Codebehind="PageZdrojeTepla.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageZdrojeTepla" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Vytápění objektu, ohřev teplé vody  <img src="images/zdroje_tepla.png" alt="Zdroje tepla" height="35" width="35" align="top"/></h1> 

<fieldset class="zadani">
	<legend>Zadání zdrojů tepla:</legend>
	
	<asp:PlaceHolder ID="ph_err" Runat="server" Visible=False>
		<br/>
		<img src="images/err.jpg" alt="chyba:"> <div class="warning"><asp:Literal id="l_error" RunAt="server" /></div>
		<br/><br/>
	</asp:PlaceHolder>
	
	
	<table>
		<tr>
			<th colspan="2">Primární zdroj tepla pro vytápění</th>
		</tr>
		<tr>	
			<td width="80px">
				<label>Zdroj:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_zdrojP" Runat="server" OnSelectedIndexChanged="cb_zdrojP__Changed" AutoPostBack="true"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Palivo:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_palivoP" Runat="server"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Stáří v letech:</label>
			</td>
			<td>
				<asp:TextBox ID="cb_stariP" Runat="server" Width="50px"/>
			</td>
		</tr>
		<tr>	
			<td colspan="2">
				<asp:Button id="btn_opatreniZdrojP" runat="server" Text="Opatření" onClick="btn_opatreniZdrojP__Clicked"/>
			</td>
		</tr>
		
		<tr>
			<th colspan="2">Sekundární zdroj tepla pro vytápění</th>
		</tr>
		<tr>	
			<td>
				<label>Použít:</label>
			</td>
			<td>
				<asp:CheckBox ID="ch_zdrojS" Runat="server" OnCheckedChanged="ch_zdrojS__Changed" AutoPostBack="true"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Zdroj:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_zdrojS" Enabled="false" Runat="server" OnSelectedIndexChanged="cb_zdrojS__Changed" AutoPostBack="true"/>
			</td>
		</tr>

		<tr>	
			<td>
				<label>Palivo:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_palivoS" Enabled="false" Runat="server"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Využití [%]:</label>
			</td>
			<td>
				<asp:TextBox ID="e_vyuzitiS" Enabled="false" Runat="server" Width="50px"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Stáří v letech:</label>
			</td>
			<td>
				<asp:TextBox ID="cb_stariS" Runat="server" Width="50px"/>
			</td>
		</tr>
		<tr>	
			<td colspan="2">
				<asp:Button id="btn_opatreniZdrojS" runat="server" Text="Opatření" onClick="btn_opatreniZdrojS__Clicked"/>
			</td>
		</tr>
		
		
		<tr>
			<th colspan="2">Zdroj tepla pro zajištění TUV</th>
		</tr>
		
		<tr>	
			<td>
				<label>TUV se ohřívá:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_zpusobOhrevuTuv" Runat="server" OnSelectedIndexChanged="cb_zpusobOhrevuTuv__Changed" AutoPostBack="true"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Zdroj:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_zdrojTuv" Runat="server" OnSelectedIndexChanged="cb_zdrojTuv__Changed" AutoPostBack="true"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Palivo:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_palivoTuv" Runat="server"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Stáří v letech:</label>
			</td>
			<td>
				<asp:TextBox ID="cb_stariTUV" Runat="server" Width="50px"/>
			</td>
		</tr>
		<tr>	
			<td colspan="2">
				<asp:Button id="btn_opatreniZdrojTUV" runat="server" Text="Opatření" onClick="btn_opatreniZdrojTuv__Clicked"/>
			</td>
		</tr>

		<tr>
			<th colspan="2">Solární panely</th>
		</tr>
		<tr>	
			<td>
				<label>Použít solární panely:</label>
			</td>
			<td>
				<asp:CheckBox ID="ch_solar" Runat="server" OnCheckedChanged="ch_solar__Changed" AutoPostBack="true"/>
			</td>
		</tr>
		<tr>	
			<td>
				<label>Plocha solárních panelů [m<sup>2</sup>]:</label>
			</td>
			<td>
				<asp:TextBox ID="e_solarPlocha" Enabled="false" Runat="server" Width="50px"/>
			</td>
		</tr>
		<tr>	
			<td colspan="2">
				<asp:Button id="btn_opatreniSolarniPanely" runat="server" Text="Opatření" onClick="btn_opatreniSolar__Clicked"/>
			</td>
		</tr>
		

		
	</table>
	
	<br/>
	<asp:Button ID="btn_zrus" Runat=server Text="Zrušit" OnClick="btn_zrus__Click"/>
	<asp:Button ID="btn_pouzij" Runat=server Text="Použij" OnClick="btn_pouzij__Click"/>
	<asp:Button ID="btn_pouzijPokracuj" Runat=server Text="Použij a pokračuj" OnClick="btn_pouzijPokracuj__Click"/>
</fieldset>
<br/>
<div class="results">


<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
	</tr>
	<tr>
		<td width="350px"> 
			Primární zdroj tepla pro vytápění: 
		</td>
		<td>
			<asp:Literal id="l_zdrojP" RunAt="server"/>
		</td>
	</tr>
	<tr>
		<td>
			Palivo: 
		</td>		
		<td>
			<asp:Literal id="l_palivoP" RunAt="server"/>
		</td>
	<tr>
	<tr>
		<td>
			Potřebné množství: 
		</td>		
		<td>
			<asp:Literal id="l_mnozstviP" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Cena: 
		</td>		
		<td>
			<asp:Literal id="l_cenaP" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Zbytková životnost:
		</td>		
		<td>
			<asp:Literal id="l_zivotnostP" RunAt="server"/> 
		</td>
	<tr>
	
	<tr>
		<td>
			Sekundární zdroj tepla pro vytápění: 
		</td>
		<td>
			<asp:Literal id="l_zdrojS" RunAt="server"/>
		</td>
	</tr>
	<tr>
		<td>
			Palivo: 
		</td>		
		<td>
			<asp:Literal id="l_palivoS" RunAt="server"/>
		</td>
	<tr>
	<tr>
		<td>
			Potřebné množství: 
		</td>		
		<td>
			<asp:Literal id="l_mnozstviS" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Cena: 
		</td>		
		<td>
			<asp:Literal id="l_cenaS" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Zbytková životnost:
		</td>		
		<td>
			<asp:Literal id="l_zivotnostS" RunAt="server"/> 
		</td>
	<tr>

	<tr>
		<td>
			Zdroj tepla pro ohřev teplé vody: 
		</td>
		<td>
			<asp:Literal id="l_zdrojTuv" RunAt="server"/>
		</td>
	</tr>
	<tr>
		<td>
			Kombinace:
		</td>
		<td>
			<asp:Literal id="l_zajisteniTuv" RunAt="server"/>
		</td>
	</tr>
	
	<tr>
		<td>
			Palivo: 
		</td>		
		<td>
			<asp:Literal id="l_palivoTuv" RunAt="server"/>
		</td>
	<tr>
	<tr>
		<td>
			Potřebné množství: 
		</td>		
		<td>
			<asp:Literal id="l_mnozstviTuv" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Cena: 
		</td>		
		<td>
			<asp:Literal id="l_cenaTuv" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Zbytková životnost:
		</td>		
		<td>
			<asp:Literal id="l_zivotnostTuv" RunAt="server"/> 
		</td>
	<tr>


	<tr>
		<td>
			Solární panely: 
		</td>		
		<td>
			&nbsp;
		</td>
	<tr>
	<tr>
		<td>
			Plocha solárních panelů: 
		</td>		
		<td>
			<asp:Literal id="l_solarPlocha" RunAt="server"/> m<sup>2</sup>
		</td>
	<tr>	
	<tr>
		<td>
			Úspora energie léto: 
		</td>		
		<td>
			<asp:Literal id="l_solarUsporaLeto" RunAt="server"/> 
		</td>
	<tr>
	<tr>
		<td>
			Úspora energie zima: 
		</td>		
		<td>
			<asp:Literal id="l_solarUsporaZima" RunAt="server"/> 
		</td>
	<tr>
	
	
</table>
</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Zdroje tepla</legend>
	<p>V zadání zdrojů tepla je zapotřebí zadat primární zdroj tepla používaný pro vytápění a odpovídající palivo. Kromě toho je možno zadat druhý, sekundární zdroj tepla pro vytápění. Tato kombinace umožňuje zohlednit např. použití krbových kamen v domě s plynovým kotlem nebo přitápění elektrickým radiátorem v domě s kotlem na uhlí.</p>
	<p>Příprava TUV může být zajištěna celoročně samostatným zdrojem tepla (elektrický bojler nebo plynový ohřívač, ale teoreticky i jiný zdroj tepla), celoročně zdrojem primárně používaným pro vytápění (např. kombinovaný plynový kotel), nebo v topné sezóně zdrojem pro vytápění a mimo topnou sezónu samostatným zdrojem. Podle zadání se potřeba tepla na přípravu TUV rozpočítává mezi zadané zdroje podle počtu dní otopného období.</p>
	<p>Dále je možno zadat využití solárního systému pro přípravu TUV. V tomto případě se od měsíčních potřeb tepla pro přípravu TUV odečítají měsíční výroby tepla solárním systémem. Pokud je zadána kombinace zdrojů „v zimě zdrojem pro vytápění, v létě samostatným zdrojem + solární systém“, odečítá se výroba solárního systému od obou zdrojů podle bilance jednotlivých měsíců. Solární systém předpokládá využití tepla pouze pro přípravu TUV za předpokladu běžně dostupných kolektorů vysoké kvality umístěných v optimální orientaci.</p>
	<p>Pro zdroje tepla, které využívají jiná paliva než je zemní plyn nebo elektřina, je možno editovat ceny paliv v menu Nastavení -> Ceník paliv.</p>
	<p>V informačním okně nejsou zobrazeny náklady na výrobu tepla, protože dosud nebyly zadány ceny a tarify pro nákup paliv a energií.</p>
	
</fieldset>

<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
