﻿<%@ Page language="c#" Codebehind="PageZisk.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageZisk" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Regulace vytápění a využití tepelných zisků  <img src="images/regulace.png" alt="Regulace a tepelné zisky" height="35" width="35" align="top"/></h1> 

<fieldset class="zadani">
	<legend>Zadání:</legend>		
	
	<table>
		<tr>	
			<td width="120px">
				<label>Charakter budovy:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_charakter" Runat="server"/>
			</td>
		</tr>		
		<tr>	
			<td width="120px">
				<label>Vnitřní teplota ve dne:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_teplotaDen" Runat="server"/>
			</td>
		</tr>		
		<tr>	
			<td width="120px">
				<label>Vnitřní teplota v noci:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_teplotaNoc" Runat="server"/>
			</td>
		</tr>		
		<tr>	
			<td width="120px">
				<label>Regulace:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_regulace" Runat="server"/>
			</td>
		</tr>		
		<tr>	
			<td>
				<label>Stáří v letech:</label>
			</td>
			<td>
				<asp:TextBox ID="cb_stari" Runat="server" Width=50px/>
			</td>
		</tr>		
		
	</table>
	
	<br/>
	<asp:Button ID="btn_zrus" Runat=server Text="Zrušit" OnClick="btn_zrus__Click"/>
	<asp:Button ID="btn_pouzij" Runat=server Text="Použij" OnClick="btn_pouzij__Click"/>
	<asp:Button ID="btn_pouzijPokracuj" Runat=server Text="Použij a pokračuj" OnClick="btn_pouzijPokracuj__Click"/>
	<asp:Button ID="btn_opatreni" Runat=server Text="Opatření" OnClick="btn_opatreni__Click"/>
</fieldset>
<br/>
<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
	</tr>

	<tr>
		<td colspan="2"></td>
	</tr>

	<tr>
		<th colspan="2">
			Přehled tepelných zisků
		</th>
	</tr>

	<tr>
		<td width="170px">
			Od obyvatel:<br/>			
		</td>
		<td align="right">
			<asp:Literal id="l_ziskObyvatele" runat="server"/>
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>

	<tr>
		<td>
			od Slunce:
		</td>
		<td align="right">
			<asp:Literal id="l_ziskSlunce"   runat="server"/> 
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>

	<tr>
		<td>
			od spotřebičů:
		</td>
		<td align="right">
			<asp:Literal id="l_ziskSpotrebice"   runat="server"/> 
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>
	
	<tr>
		<td>
			Celkem:
		</td>
		<td align="right">
			<asp:Literal id="l_ziskCelkem" runat="server"/>
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>

	
	<tr>
		<th colspan="2">
			Využitelná část tepelných zisků
		</th>
	</tr>
	
	
	<tr>
		<td>
			E<sup>zisk</sup>:
		</td>
		<td align="right">
			<asp:Literal id="l_Ezisk" runat="server"/>
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>

	
	<tr>
		<th colspan="2">
			Potřeba tepla pro vytápění
		</th>
	</tr>
	
	
	<tr>
		<td>
			E<sup>vyt</sup>:
		</td>
		<td align="right">
			<asp:Literal id="l_Evyt" runat="server"/>
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>
	<tr>
		<td></td>
		<td></td>
	</tr>	
</table>
</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Tepelné zisky a regulace</legend>
	<p>Tato část platí pouze pro zdroje, jejichž výkon lze regulovat podle přicházejícího tepelného zisku. Není tedy použitelná pro kamna na uhlí, krbová kamna, apod.</p>
	<p>Celkový potenciální tepelný zisk je součtem tepelných zisků z pobytu osob, od dopadajícího slunečního záření a od domácích spotřebičů. Zisky od Slunce jsou stanoveny na základě zadání oken, bere se v úvahu jejich orientace, propustnost a stínění. Zisky od elektrospotřebičů jsou započítány různě, např. od sporáku v plné výši, od pračky započítány nejsou (energie je spotřebována na ohřev vody, která je bez užitku vypuštěna mimo objekt).</p>
	<p>Využití zisků je dáno jednak poměrem velikosti zisku a velikosti okamžité tepelné ztráty místnosti a jednak tepelnou jímavostí konstrukcí. Podrobný výpočet je poměrně složitý, takže je zjednodušen na velmi orientační hodnoty podle hmotnosti a tepelné setrvačnosti stavby. Tím je suma tepelných zisků redukována. Další snížení této hodnoty závisí na schopnosti otopné soustavy tepelné zisky využít, tj. přerušit dodávku tepla do otopných těles. Nejvyšší schopnost využití tepelných zisků mají soustavy vybavené termoregulačními ventily, u ruční regulace je nulová.</p>
	<p>Teploty ve dne a v noci jsou použity pro upřesnění průměrné vnitřní teploty vzduchu a ovlivňují potřebu tepla na vytápění. Pokud je použita ruční regulace teploty topné vody namísto regulace ekvitermní (ekvitermní znamená, že teplota topné vody se mění podle vnější teploty vzduchu), bude potřeba energie na vytápění zvýšena o 10%.</p>
	<p>Poznámka: Teplota vzduchu se liší od průměrné výsledné teploty, která byla zadávána v první části. Výsledná vnitřní teplota je průměrem teploty vzduchu a okolních konstrukcí, takže je vždy nižší než teplota vzduchu.</p>

</fieldset>



<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
