﻿<%@ Page language="c#" Codebehind="Index.aspx.cs" AutoEventWireup="false" Inherits="Bilance.Index" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">

	<script type="text/javascript" src="includes/browser.js"></script>
	<script type="text/javascript" src="config.js"></script>
  </head>
  <body MS_POSITIONING="GridLayout" onload="init()">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>O programu  <img src="images/O_programu.png" alt="O programu" height="35" width="35" align="top"/></h1>

<p>
Program je určen pro modelování potřeby energie budov v závislosti na stavebních 
konstrukcích, technickém zařízení budov a instalovaných spotřebičích. Zároveň 
slouží k ekonomickému vyhodnocení provozu podle tarifů dodavatelů plynu a 
elektrické energie.
</p>

<b>Cílová skupina:</b><br/>
<ul>
<li>široká veřejnost</li>
<li>energetičtí auditoři</li>
<li>projektanti a architekti (prvotní práce s klientem)</li>
<li>poradci středisek EKIS</li>
<li>školy</li>
</ul>

<b>Možnosti programu:</b>
<ul>
<li>posouzení jednotlivých konstrukcí budov</li>
<li>stanovení potřeby energie na vytápění a pro přípravu teplé užitkové vody</li>
<li>roční spotřeba energie domácích spotřebičů</li>
<li>výpočet ročních nákladů na elektřinu a plyn dle tarifů dodavatelů</li>
<li>různé varianty a jejich porovnání</li>
<li>ekonomické vyhodnocení investic</li>
<li>environmentální hodnocení variant</li>
</ul>


<br/><br/><br/><br/>
<p>
<small>
Produkt je určen pro poradenskou činnost a je zpracován v rámci "Státního 
programu na podporu úspor energie a využití obnovitelných zdrojů energie pro rok 
2005 - část A." dovolujeme si tímto poděkovat České energetické agentuře za 
podporu, bez níž by nevznikl.
</small>
</p>

<p>
<a href="./Bilance-manual.pdf" target="_blank">Návod k programu Bilance ve formátu PDF</a>
</p>

<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
