﻿<%@ Page language="c#" Codebehind="PageKonstrukcePrehled.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageKonstrukcePrehled" %>
<%@ Register TagPrefix="ignav" Namespace="Infragistics.WebUI.UltraWebNavigator" Assembly="Infragistics.WebUI.UltraWebNavigator.v2" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Přehled konstrukcí objektu  <img src="images/konstrukce.png" alt="Konstrukce" height="35" width="35" align="top"/></h1> 


<fieldset class="zadani">
	<legend>Přehled:</legend>
	<br/>
	<ignav:UltraWebTree 
	id="tree_konstrukce" 
	runat="server" 
	HiliteClass="HiliteClass" 
	Indentation="20" 
	ExpandImage="ig_treePlus.gif" 
	CollapseImage="ig_treeMinus.gif" 
	DisabledClass="DisabledClass" 
	JavaScriptFilename="tree/ig_scripts/ig_webtree2.js" 
	ImageDirectory="tree/ig_Images/" 
	WebTreeTarget="ClassicTree" 
	BrowserTarget="UpLevel" 
	Cursor="hand"
	DefaultImage="ig_treeFolder.gif"
	DefaultSelectedImage="ig_treeFolderOpen.gif"
	>
	
	
		<NodeMargins Bottom="3px" Top="3px" Left="5px" Right="3px"></NodeMargins>
		<Styles>
			<ignav:Style Cursor="hand" ForeColor="White" BackColor="DarkBlue" CssClass="HiliteClass"></ignav:Style>
			<ignav:Style ForeColor="LightGray" CssClass="DisabledClass"></ignav:Style>
		</Styles>
		<Nodes>
			<ignav:Node Text="Přehled konstrukcí"></ignav:Node>
		</Nodes>
		<Levels>
			<ignav:Level Index="0"></ignav:Level>
		</Levels>
	</ignav:UltraWebTree>
<br/><br/>

<img src="images/i.jpg" alt="info:"/> Pro přidání konstrukce klikněte na název příslušné konstrukce<br/>
<img src="images/i.jpg" alt="info:"/> Pokud neznáte přesné parametry konstrukce, použijte volbu "Zjednodušená zadání"<br/>
<img src="images/i.jpg" alt="info:"/> Pro editaci konstrukce označte konstrukci, jež chcete upravit a stiskněte tlačítko edituj<br/>
<img src="images/i.jpg" alt="info:"/> Pro odstranění konstrukce označte konstrukci, jež chcete odstranit a stiskněte tlačítko smaž<br/>

<br/>

<asp:Button id="btn_edituj" runat="server" Text="Edituj" Enabled="false" onClick="btn_edituj__Clicked"/>
<asp:Button id="btn_smaz" runat="server" Text="Smaž" Enabled="false" onClick="btn_smaz__Clicked"/>
<asp:Button id="btn_pokracuj" runat="server" Text="Použij a pokračuj" onClick="btn_pokracuj__Clicked"/>
	
</fieldset>

<br/>

<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností objektu
			<br/><br/>
		</th>
	<tr>

	<tr>
		<th colspan="2">
			Tepelná ztráta 
		</th>
	<tr>
	<tr>
		<td>
			Prostupem:
		</td>
		<td align="right">
			<asp:Literal id="l_tepelnaZtrataProstupem" runat="server"/> kW
		</td>
		
	<tr>
	<tr>
		<td>
			Větráním:
		</td>
		<td align="right">
			<asp:Literal id="l_tepelnaZtrataVetranim"   runat="server"/> kW
		</td>
		
	<tr>
	<tr>
		<td>
			Celkem:
		</td>
		<td align="right">
			<asp:Literal id="l_tepelnaZtrataCelkem"	   runat="server"/> kW
		</td>
		
	<tr>
	<tr>
		<th colspan="2">
			Potřeba tepla na vytápění 
		</th>
	<tr>
	<tr>
		<td>
			E<sub>vyt</sub>:
		</td>
		<td align="right">
			<asp:Literal id="l_EVyt" runat="server"/> kWh/rok
		</td>
		
	<tr>
	
	
</table>
</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Konstrukce budovy</legend>
	<p>Pro zadání je možno použít detailní nebo zjednodušené zadání. Pokud je skladba konstrukcí známa, použijte detailní zadání. </p>
	<p>Zjednodušené zadání dosadí do výpočtu hodnoty, které jsou pravděpodobné pro objekt postavený v určitém období, což ovšem nelze zobecnit pro všechny případy. Proto je doporučeno zjednodušené zadání použít pouze tehdy, když není možno skladbu konstrukce ani odhadnout. </p>
	<p>Pokud použijete detailní zadání, je nutno si uvědomit, že nabídka neobsahuje všechny typy konstrukcí. Některé (např. okna) jsou přístupné pouze přes detailní zadání. Konstrukce lze zadávat sumárně, tj. pokud jsou stěny objektu postaveny z jednoho materiálu, není třeba zadávat každou zvlášť, ale zadává se součet všech ploch. Plochy se ovšem zadávají bez oken.</p>
	<p>Nová konstrukce se přidává tlačítkem „Přidat“. Zadávají se pouze konstrukce ohraničující vytápěný prostor, tj. nikoli stěny garáží, přístavků, apod. Tyto prostory jsou zohledněny tak, že se zadává stěna mezi vytápěným a nevytápěným prostorem a charakter nevytápěného prostoru. </p>
	<p>Při zadávání konstrukcí lze každou pojmenovat. Užitečné je pojmenovat konstrukce tak, abychom později věděli, o kterou se jedná. Název „stěna k silnici“ se zdá být užitečnější než „konstrukce 1“. </p>
	<p>Při zadávání desetinných čísel musí být použita desetinná čárka a nikoli tečka. Chcete-li používat numerickou klávesnici, musí být zvoleným jazykem čeština.</p>
	<p>Tloušťky vrstev se zadávají centimetrech. </p>
	<p>Po stisku tlačítka Aktualizace se zobrazí tepelný odpor zadané konstrukce.</p>
	<p>U obvodových stěn je zapotřebí zadat, co je za konstrukcí. V případě přilehlých nevytápěných prostor se upřesní, o jaký prostor jde. </p>
	<p>U konstrukcí pod terénem se zadává hloubka horního okraje, spodního okraje a délka (obvod). Je to proto, že v každé hloubce na konstrukci z vnější strany působí jiná teplota. </p>
	<p>Informace o tepelných ztrátách zahrnuje pouze tepelné ztráty prostupem, protože v tomto okamžiku dosud nebyly zadány údaje pro výpočet tepelné ztráty větráním.</p>


</fieldset>



<asp:Literal ID="lTest" Runat=server />


<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
