﻿<%@ Page language="c#" Codebehind="PageTuv.aspx.cs" AutoEventWireup="false" Inherits="Bilance.PageTuv" %>
<%@ Register TagPrefix="mycode" TagName="header" Src="Zahlavi.ascx" %>
<%@ Register TagPrefix="mycode" TagName="footer" Src="Zapati.ascx" %>


<%if(false) { %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm4</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    
<%}%>

<form id="pageForm" method="post" runat="server">
<mycode:header Id="zahlavi" RunAt="server"/>

<h1>Potřeba tepla pro ohřev teplé užitkové vody  <img src="images/tuv.png" alt="TUV" height="35" width="35" align="top"/></h1> 

<fieldset class="zadani">
	<legend>Zadání:</legend>	
	
	<table>
		<tr>	
			<td width="120px">
				<label>Umístění ohřívače TUV:</label>
			</td>
			<td>
				<asp:DropDownList ID="cb_tuvUmisteni" Runat="server"/>
			</td>
		</tr>		
	</table>
	
	<br/>
	<asp:Button ID="btn_zrus" Runat=server Text="Zrušit" OnClick="btn_zrus__Click"/>
	<asp:Button ID="btn_pouzij" Runat=server Text="Použij" OnClick="btn_pouzij__Click"/>
	<asp:Button ID="btn_pouzijPokracuj" Runat=server Text="Použij a pokračuj" OnClick="btn_pouzijPokracuj__Click"/>
</fieldset>
<br/>
<div class="results">
<table>

	<tr>
		<th colspan="2">
			<img src="images/i.jpg" alt="info:"/> Tabulka vlastností
			<br/><br/>
		</th>
	</tr>		
	<tr>
		<td></td>
		<td></td>
	</tr>		

	<tr>
		<td width="250px">
			Počet obyvatel:<br/>			
		</td>
		<td align="right">
			<asp:Literal id="l_obyvatel" runat="server"/>
		</td>
		<td>
			(lze nastavit v <a href="PageLokalita.aspx">základních informacích</a>)
		</td>
		
	</tr>		
	<tr>
		<td></td>
		<td></td>
	</tr>		
	<tr>
		<td>
			Pořeba tepla na ohřev TUV:
		</td>
		<td align="right">
			<asp:Literal id="l_potrebaTepla"   runat="server"/> 
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>		
	<tr>
		<td></td>
		<td></td>
	</tr>		
	<tr>
		<td>
			Ztráty tepla v rozvodech:
		</td>
		<td align="right">
			<asp:Literal id="l_ztraty"	   runat="server"/>
		</td>
		<td>
			kWh / rok
		</td>
		
	</tr>		
	<tr>
		<td></td>
		<td></td>
	</tr>		
	<tr>
		<td>
			Pořeba tepla na ohřev TUV:
		</td>
		<td align="right">
			<asp:Literal id="l_potrebaCelkem" runat="server"/>
		</td>
		<td>kWh / rok</td>
		
	</tr>		
	<tr>
		<td></td>
		<td></td>
	</tr>		
	
	
</table>
</div>
<br/>
<fieldset class="zadani">
	<legend>Nápověda k formuláři Příprava TUV</legend>
	<p>Podle typu rozvodu TUV jsou stanoveny ztráty v rozvodech. </p>
	<p>V případě cirkulačního rozvodu TUV, který je používán většinou ve větších budovách, je ztráta v rozvodech srovnatelná s množstvím tepla na výtokových místech, protože ohřátá voda stále koluje v potrubí, aby byla kdykoli připravena k použití. Cirkulační rozvod bývá navrhován i v rodinných domech, které mají dvě a více koupelen v různých částech domu. V tomto případě bývá výhodnější alternativou využití několika lokálních zdrojů tepla (např. bojlerů). </p>

</fieldset>

<mycode:footer Id="zapati" RunAt="server"/>
</form>

<%if(false) { %>
	
  </body>
</html>
<%}%>
